# Class IllegalComponentStateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
java.awt.IllegalComponentStateException

All Implemented Interfaces:
  `Serializable`

public class IllegalComponentStateException extends IllegalStateException
Signals that an AWT component is not in an appropriate state for the requested operation.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalComponentStateException()`
  Constructs an IllegalComponentStateException with no detail message.
  `IllegalComponentStateException(String s)`
  Constructs an IllegalComponentStateException with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalComponentStateException

    public IllegalComponentStateException()
    Constructs an IllegalComponentStateException with no detail message. A detail message is a String that describes this particular exception.

  - ### IllegalComponentStateException

    public IllegalComponentStateException(String s)
    Constructs an IllegalComponentStateException with the specified detail message. A detail message is a String that describes this particular exception.
    Parameters:
      `s` - the String that contains a detailed message